#!/usr/bin/env python
from datetime import timedelta
from sys import argv
from pyflp import parse
from pathlib import Path
from multiprocessing import Pool

def time_of_file(flp_file: str) -> int:
    if '(autosaved at' in flp_file.name or '(overwritten at' in flp_file.name:
        return 0
    try:
        this_file = parse(flp_file).time_spent
        print(f"{this_file} on {flp_file}")
        return this_file.total_seconds()
    except Exception as error:
        print(f"?:??:??.?????? on {flp_file}: {error}")
        return 0


with Pool() as pool:
    files = Path(argv[1]).glob('**/*.flp')
    seconds = pool.map(time_of_file, files)


print("============================")
print(f"TOTAL: {timedelta(seconds=sum(seconds))}")



